Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.file
[Java] Interface FileVisitDetails

    org.gradle.api.file.FileVisitDetails
      org.gradle.api.file.FileTreeElement

All Superinterfaces:
  FileTreeElement

    public interface FileVisitDetails
    extends FileTreeElement

Provides access to details about a file or directory being visited by a FileVisitor.

See Also:
  FileTree.visit

Method Summary
`void` | `stopVisiting()` Requests that file visiting terminate after the current file.

Methods inherited from interface FileTreeElement
copyTo, copyTo, getFile, getLastModified, getMode, getName, getPath, getRelativePath, getSize, isDirectory, open

Method Detail

### stopVisiting

    public void stopVisiting()

  Requests that file visiting terminate after the current file.

Gradle API 1.10